=== modified file 'bzrlib/plugin.py'
--- bzrlib/plugin.py	2006-12-29 07:53:17 +0000
+++ bzrlib/plugin.py	2007-01-03 00:23:45 +0000
@@ -223,12 +223,17 @@
             if not name or name.endswith('/'):
                 continue
 
-            head, tail = os.path.split(name)
+            # '/' is used to separate pathname components inside zip archives
+            ix = name.rfind('/')
+            if ix == -1:
+                head, tail = '', name
+            else:
+                head, tail = name.rsplit('/',1)
             if '/' in head:
                 # we don't need looking in subdirectories
                 continue
 
-            base, suffix = os.path.splitext(tail)
+            base, suffix = osutils.splitext(tail)
             if suffix not in valid_suffixes:
                 continue
 

